<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('conf.inc.php');

// check
	// [2011-03-29] 편지읽기에서 읽지않음 버튼 추가
	if ($_GET['mb_id'] != ''){
		$_POST['mb_id'] = $_GET['mb_id'];
	}
	if (is_numeric($_GET['mf_no'])){
		$_POST['mf_no'] = $_GET['mf_no'];
	}

	#if (!$_GET['mode'] || !$_POST['mb_id'] || (!$_POST['mf_no'] && !$_POST['cmf'])){
	if (!$_POST['mf_no'] && !$_POST['cmf'] && $_GET['mode'] != 'READ_ALL'){
		msg('올바른 URL로 접근하여 주십시오');
	}

// data
	$mf_no = array();
	if (getarraycount($_POST['cmf']) > 0)
	{
		$mf_no = $_POST['cmf'];
	} else
	{
		$mf_no[] = $_POST['mf_no'];
	}	// if()


// db update
	$q_mf_no = set_array2comma(" (", ") ", $mf_no);

	if ($_GET['mode'] == 'READ')
	{
		$mf_is_read_date = date('Y-m-d H:i:s');
		$sql = "
			UPDATE
				".$AUTH[auth_m_mf_table]."
			SET
				mf_is_read='Y',
				mf_is_read_date='".$mf_is_read_date."'
			WHERE
				mf_no IN ".$q_mf_no."
				AND m_no='" . $AUTH['auth_m_no'] . "'
				AND mf_is_read='N'
			";
	} elseif ($_GET['mode'] == 'READ_ALL')      // [2025-05-22] 모두 읽음
	{
		$mf_is_read_date = date('Y-m-d H:i:s');
		$sql = "
			UPDATE
				".$AUTH[auth_m_mf_table]."
			SET
				mf_is_read='Y',
				mf_is_read_date='".$mf_is_read_date."'
			WHERE
			    m_no='" . $AUTH['auth_m_no'] . "'
				AND mf_is_read='N'
			";
		// 안읽음/전체메일이 아닐 경우만 편지함 구분 조건 추가
		if ($_POST['mb_id'] !== null && $_POST['mb_id'] !== '')
		{
			$sql .= " AND mb_id='" . $_POST['mb_id'] . "' ";
		} else {
			// [2025-05-22] 전체메일에서 스팸편지함, 지운편지함, 임시보관함 제외
			$sql .= " AND mb_id NOT IN (" . implode_keys($G_SYS['NM_ALL_MAIL_EXCLUDE']) . ")";
		}
	} else
	{
		$sql = "
			UPDATE
				".$AUTH[auth_m_mf_table]."
			SET
				mf_is_read='N',
				mf_is_read_date=NULL
			WHERE
				mf_no IN ".$q_mf_no."
				AND m_no='" . $AUTH['auth_m_no'] . "'
				AND mf_is_read='Y'
			";
	}	// if()
	db_query($sql);


// end
	movepage('mail_list.php?mb_id=' . $_POST['mb_id'] . '&' . get_qs('mb_id', 'mf_no', 'sel_mail_box', 'sel_mail_box_2', 'cmd', 'cmd_2', 'mode'));

require_once('include/global_end.php');
?>